Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_password": "<string>",
"confirm_password": "<string>",
"otp_token": "<string>",
"otp": "<string>"
}
'{
"message": "<string>",
"success": true,
"content": {
"access_token": "<string>",
"refresh_token": "<string>",
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [
"email"
],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
}
}
}Resets the user’s password using the otp_token from the forgot-password endpoint. Returns new access_token and refresh_token.
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_password": "<string>",
"confirm_password": "<string>",
"otp_token": "<string>",
"otp": "<string>"
}
'{
"message": "<string>",
"success": true,
"content": {
"access_token": "<string>",
"refresh_token": "<string>",
"user": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"is_email_verified": true,
"phone": "<string>",
"country_code": "<string>",
"is_phone_verified": true,
"profile_image_url": "<string>",
"is_anonymous": true,
"is_logged_in": true,
"login_methods": [
"email"
],
"notification_preferences": {
"transactional": {
"email": true,
"sms": true,
"whatsapp": true
},
"promotional": {
"email": true,
"sms": true,
"whatsapp": true
},
"newsletter": {
"email": true,
"sms": true,
"whatsapp": true
}
},
"customer_id": "<string>",
"customer_group": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"is_default": true,
"active": true
},
"business": {
"type": "<string>",
"name": "<string>",
"metadata": {},
"registered_address": {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"pincode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"tax_identification_number": "<string>",
"business_name": "<string>",
"is_phone_verified": true,
"is_email_verified": true,
"id": "<string>",
"is_default_billing": true,
"is_default_shipping": true,
"nickname": null
}
},
"created_at": "<string>",
"modified_at": "<string>"
}
}
}Access token
The new password that the user wants to set for their account.
A confirmation of the new password.
A string representing the OTP token which facilitas the resetting of user’s account password.
A string representing the one-time password.
OK
A descriptive message confirming the success or failure of the reset password operation.
Indicates whether the request was successful or failure (true for success, false for failure).
An object containing the response content.
Show child attributes
Was this page helpful?